TermVectorEntry (Lucene 2.4.1 API)
Keywords: org.apache.lucene.index.TermVectorEntry class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class TermVectorEntry

    java.lang.Object
      org.apache.lucene.index.TermVectorEntry

    public class TermVectorEntry

extends Object

Convenience class for holding TermVector information.

Constructor Summary
`TermVectorEntry()`
`TermVectorEntry(String field, String term, int frequency, TermVectorOffsetInfo[] offsets, int[] positions)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getField()`
`int` | `getFrequency()`
`TermVectorOffsetInfo[]` | `getOffsets()`
`int[]` | `getPositions()`
`String` | `getTerm()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TermVectorEntry

    public TermVectorEntry()

### TermVectorEntry

    public TermVectorEntry(String field,
                           String term,
                           int frequency,
                           TermVectorOffsetInfo[] offsets,
                           int[] positions)

Method Detail

### getField

    public String getField()

### getFrequency

    public int getFrequency()

### getOffsets

    public TermVectorOffsetInfo[] getOffsets()

### getPositions

    public int[] getPositions()

### getTerm

    public String getTerm()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.